Bug 230991 - Segmentation fault on startup [@ ServiceSqlRegistry::getTrack]
Summary: Segmentation fault on startup [@ ServiceSqlRegistry::getTrack]
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collections/Local (show other bugs)
Version: 2.6.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: 2.7
Assignee: Amarok Developers
URL:
Keywords: regression, release_blocker
: 250684 301014 305345 305348 306646 307184 307462 308667 308828 308979 310439 310934 311289 312147 312241 313064 313169 314163 314364 315270 320913 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-03-16 16:32 UTC by Marcus Harrison
Modified: 2013-07-21 23:54 UTC (History)
23 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.7


Attachments
New crash information added by DrKonqi (19.67 KB, text/plain)
2010-09-21 10:54 UTC, nusch
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Harrison 2010-03-16 16:32:24 UTC
Application: amarok (2.3.0)
KDE Platform Version: 4.4.1 (KDE 4.4.1)
Qt Version: 4.6.2
Operating System: Linux 2.6.31-20-generic i686
Distribution: Ubuntu 9.10

-- Information about the crash:
After removing .kde/share/config/amarok* and .kde/share/apps/amarok, I started amarok, then navigated to the Magnatune section. I click-dragged one of the genres into the centre panel, on the, "Replace playlist" option, and Amarok crashed.

 -- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0xb7884760 (LWP 6222))]

Thread 15 (Thread 0xb5902b70 (LWP 6223)):
#0  0x00f52422 in __kernel_vsyscall ()
#1  0x00ed2142 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x00bbc8d4 in pthread_cond_timedwait () from /lib/tls/i686/cmov/libc.so.6
#3  0x022659ff in ?? () from /usr/lib/libxine.so.1
#4  0x00ecd80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#5  0x00baf8de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 14 (Thread 0xb5101b70 (LWP 6224)):
#0  0x07507e06 in clock_gettime () from /lib/tls/i686/cmov/librt.so.1
#1  0x009cb92b in qt_gettime () at kernel/qcore_unix.cpp:111
#2  0x009d0a15 in QTimerInfoList::updateCurrentTime (this=0x994959c) at kernel/qeventdispatcher_unix.cpp:340
#3  0x009d0a5a in QTimerInfoList::timerWait (this=0x994959c, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0x009cea48 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xb510106c) at kernel/qeventdispatcher_glib.cpp:136
#5  0x05805f90 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#6  0x05806351 in ?? () from /lib/libglib-2.0.so.0
#7  0x05806863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#8  0x009ce83f in QEventDispatcherGlib::processEvents (this=0x98e2098, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#9  0x009a1209 in QEventLoop::processEvents (this=0xb5101230, flags=) at kernel/qeventloop.cpp:149
#10 0x009a165a in QEventLoop::exec (this=0xb5101230, flags=...) at kernel/qeventloop.cpp:201
#11 0x0089d5e8 in QThread::exec (this=0x985e580) at thread/qthread.cpp:487
#12 0x046c1a5a in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#13 0x008a036e in QThreadPrivate::start (arg=0x985e580) at thread/qthread_unix.cpp:248
#14 0x00ecd80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#15 0x00baf8de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 13 (Thread 0xb08fcb70 (LWP 6233)):
#0  0x00bbcceb in ?? () from /lib/tls/i686/cmov/libc.so.6
#1  0x00ba1c80 in poll () from /lib/tls/i686/cmov/libc.so.6
#2  0x02b04cc2 in ?? () from /usr/lib/libpulse.so.0
#3  0x02af1e09 in pa_mainloop_poll () from /usr/lib/libpulse.so.0
#4  0x02af3c23 in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
#5  0x02af3cf4 in pa_mainloop_run () from /usr/lib/libpulse.so.0
#6  0x02b04bc3 in ?? () from /usr/lib/libpulse.so.0
#7  0x02b51ac2 in ?? () from /usr/lib/libpulsecommon-0.9.19.so
#8  0x00ecd80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#9  0x00baf8de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 12 (Thread 0xb00fbb70 (LWP 6234)):
#0  0x02b3bc6e in pa_run_once () from /usr/lib/libpulsecommon-0.9.19.so
#1  0x02b519e5 in pa_thread_self () from /usr/lib/libpulsecommon-0.9.19.so
#2  0x02b04ef2 in pa_threaded_mainloop_unlock () from /usr/lib/libpulse.so.0
#3  0x081a87b0 in ?? () from /usr/lib/alsa-lib/libasound_module_ctl_pulse.so
#4  0x021c68aa in ?? () from /usr/lib/libasound.so.2
#5  0x021bf71d in snd_ctl_read () from /usr/lib/libasound.so.2
#6  0x021bbaff in snd_hctl_handle_events () from /usr/lib/libasound.so.2
#7  0x021c7911 in snd_mixer_handle_events () from /usr/lib/libasound.so.2
#8  0x02a30c89 in ?? () from /usr/lib/xine/plugins/1.26/xineplug_ao_out_alsa.so
#9  0x00ecd80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#10 0x00baf8de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 11 (Thread 0xaf6ffb70 (LWP 6235)):
#0  0x00f52422 in __kernel_vsyscall ()
#1  0x00ed1e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x00bbc87d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x022765ee in ?? () from /usr/lib/libxine.so.1
#4  0x00ecd80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#5  0x00baf8de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 10 (Thread 0xaeefeb70 (LWP 6236)):
#0  0x00f52422 in __kernel_vsyscall ()
#1  0x00ed1e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x00bbc87d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x022765ee in ?? () from /usr/lib/libxine.so.1
#4  0x00ecd80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#5  0x00baf8de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 9 (Thread 0xae4ffb70 (LWP 6237)):
#0  0x00f52422 in __kernel_vsyscall ()
#1  0x00ed1e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x00bbc87d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x022765ee in ?? () from /usr/lib/libxine.so.1
#4  0x00ecd80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#5  0x00baf8de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 8 (Thread 0xadaffb70 (LWP 6238)):
#0  0x00f52422 in __kernel_vsyscall ()
#1  0x00ed1e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x00bbc87d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x022765ee in ?? () from /usr/lib/libxine.so.1
#4  0x00ecd80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#5  0x00baf8de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 7 (Thread 0xacc9eb70 (LWP 6240)):
#0  0x00f52422 in __kernel_vsyscall ()
#1  0x00ed1e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x00bbc87d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x062cc407 in ?? () from /usr/lib/libQtWebKit.so.4
#4  0x062cc451 in ?? () from /usr/lib/libQtWebKit.so.4
#5  0x00ecd80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#6  0x00baf8de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 6 (Thread 0xab10db70 (LWP 6241)):
[KCrash Handler]
#6  ServiceSqlRegistry::getTrack (this=0x1a, rowData=...) at /build/buildd/amarok-2.3.0/src/services/ServiceSqlRegistry.cpp:51
#7  0x012872ff in ServiceSqlQueryMaker::handleTracks (this=0xa6e37d0, result=...) at /build/buildd/amarok-2.3.0/src/services/ServiceSqlQueryMaker.cpp:710
#8  0x01289b9c in ServiceSqlQueryMaker::handleResult (this=0xa6e37d0, result=...) at /build/buildd/amarok-2.3.0/src/services/ServiceSqlQueryMaker.cpp:583
#9  0x0128d48b in ServiceSqlWorkerThread::run() () from /usr/lib/libamaroklib.so.1
#10 0x00f1152d in ThreadWeaver::JobRunHelper::runTheJob (this=0xab10d21c, th=0xa12df48, job=0xa6e3b08) at ../../../threadweaver/Weaver/Job.cpp:106
#11 0x00f11891 in ThreadWeaver::Job::execute (this=0xa6e3b08, th=0xa12df48) at ../../../threadweaver/Weaver/Job.cpp:135
#12 0x00f104ca in ThreadWeaver::ThreadRunHelper::run (this=0xab10d2a4, parent=0xa12d9a8, th=0xa12df48) at ../../../threadweaver/Weaver/Thread.cpp:95
#13 0x00f10b1b in ThreadWeaver::Thread::run (this=0xa12df48) at ../../../threadweaver/Weaver/Thread.cpp:142
#14 0x008a036e in QThreadPrivate::start (arg=0xa12df48) at thread/qthread_unix.cpp:248
#15 0x00ecd80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#16 0x00baf8de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 5 (Thread 0xaa90cb70 (LWP 6242)):
#0  0x00f52422 in __kernel_vsyscall ()
#1  0x00ed1e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x00bbc87d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x008a12c7 in QWaitConditionPrivate::wait (this=0xa12d9c0, mutex=0xa12dc60, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xa12d9c0, mutex=0xa12dc60, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x00f0f8a0 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa12d9a8, th=0xa118f60) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x00f1241c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xa12dd40, th=0xa118f60) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x00f0e26b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa12d9a8, th=0xa118f60) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x00f12512 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa12dd40, th=0xa118f60) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x00f0fb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa12d9a8, th=0xa118f60, previous=0xa82a450) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x00f104fe in ThreadWeaver::ThreadRunHelper::run (this=0xaa90c2a4, parent=0xa12d9a8, th=0xa118f60) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0x00f10b1b in ThreadWeaver::Thread::run (this=0xa118f60) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0x008a036e in QThreadPrivate::start (arg=0xa118f60) at thread/qthread_unix.cpp:248
#13 0x00ecd80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#14 0x00baf8de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 4 (Thread 0xaa109b70 (LWP 6243)):
#0  0x00f52422 in __kernel_vsyscall ()
#1  0x00ed1e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x00bbc87d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x008a12c7 in QWaitConditionPrivate::wait (this=0xa12d9c0, mutex=0xa12dc60, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xa12d9c0, mutex=0xa12dc60, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x00f0f8a0 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa12d9a8, th=0xa15cc18) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x00f1241c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xa12dd40, th=0xa15cc18) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x00f0e26b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa12d9a8, th=0xa15cc18) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x00f12512 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa12dd40, th=0xa15cc18) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x00f0fb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa12d9a8, th=0xa15cc18, previous=0xa5139f0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x00f104fe in ThreadWeaver::ThreadRunHelper::run (this=0xaa1092a4, parent=0xa12d9a8, th=0xa15cc18) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0x00f10b1b in ThreadWeaver::Thread::run (this=0xa15cc18) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0x008a036e in QThreadPrivate::start (arg=0xa15cc18) at thread/qthread_unix.cpp:248
#13 0x00ecd80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#14 0x00baf8de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 3 (Thread 0xa9908b70 (LWP 6244)):
#0  0x00f52422 in __kernel_vsyscall ()
#1  0x00ed1e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x00bbc87d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x008a12c7 in QWaitConditionPrivate::wait (this=0xa12d9c0, mutex=0xa12dc60, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xa12d9c0, mutex=0xa12dc60, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x00f0f8a0 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa12d9a8, th=0xadbd1298) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x00f1241c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xa12dd40, th=0xadbd1298) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x00f0e26b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa12d9a8, th=0xadbd1298) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x00f12512 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa12dd40, th=0xadbd1298) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x00f0fb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa12d9a8, th=0xadbd1298, previous=0xadbe9ac8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x00f104fe in ThreadWeaver::ThreadRunHelper::run (this=0xa99082a4, parent=0xa12d9a8, th=0xadbd1298) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0x00f10b1b in ThreadWeaver::Thread::run (this=0xadbd1298) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0x008a036e in QThreadPrivate::start (arg=0xadbd1298) at thread/qthread_unix.cpp:248
#13 0x00ecd80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#14 0x00baf8de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 2 (Thread 0xa8906b70 (LWP 6247)):
#0  0x00f52422 in __kernel_vsyscall ()
#1  0x00ed1e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x00bbc87d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x05b4d887 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x5c261a0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2304
#4  0x05b4d8d1 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x5c261a0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1438
#5  0x00ecd80e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#6  0x00baf8de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb7884760 (LWP 6222)):
#0  0x00ecfd17 in pthread_mutex_lock () from /lib/tls/i686/cmov/libpthread.so.0
#1  0x00bbca46 in pthread_mutex_lock () from /lib/tls/i686/cmov/libc.so.6
#2  0x019aee04 in ?? () from /usr/lib/libxcb.so.1
#3  0x019b09d2 in xcb_wait_for_reply () from /usr/lib/libxcb.so.1
#4  0x00cdb506 in _XReply () from /usr/lib/libX11.so.6
#5  0x00ccf1a7 in XSync () from /usr/lib/libX11.so.6
#6  0x04d52de1 in QApplication::syncX () at kernel/qapplication_x11.cpp:2925
#7  0x04d572f5 in QETWidget::translateConfigEvent (this=0xa82b410, event=0xbff519bc) at kernel/qapplication_x11.cpp:5140
#8  0x04d629f6 in QApplication::x11ProcessEvent (this=0xbff536d8, event=0xbff519bc) at kernel/qapplication_x11.cpp:3406
#9  0x04d64042 in QETWidget::translateMouseEvent (this=0xa82b410, event=0xbff51dcc) at kernel/qapplication_x11.cpp:4100
#10 0x04d631a1 in QApplication::x11ProcessEvent (this=0xbff536d8, event=0xbff51dcc) at kernel/qapplication_x11.cpp:3379
#11 0x04d9200a in x11EventSourceDispatch (s=0x980da10, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#12 0x05802e88 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#13 0x05806730 in ?? () from /lib/libglib-2.0.so.0
#14 0x05806863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#15 0x009ce805 in QEventDispatcherGlib::processEvents (this=0x9726538, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#16 0x04d91b35 in QGuiEventDispatcherGlib::processEvents (this=0x9726538, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#17 0x009a1209 in QEventLoop::processEvents (this=0xa6464c8, flags=) at kernel/qeventloop.cpp:149
#18 0x009a165a in QEventLoop::exec (this=0xa6464c8, flags=...) at kernel/qeventloop.cpp:201
#19 0x04d77ef8 in QDragManager::drag (this=0xa6dfcf8, o=0xa637590) at kernel/qdnd_x11.cpp:1960
#20 0x04cea9fe in QDrag::exec (this=0xa637590, supportedActions=..., defaultDropAction=Qt::CopyAction) at kernel/qdrag.cpp:282
#21 0x05278f8c in QAbstractItemView::startDrag (this=0xa219a88, supportedActions=...) at itemviews/qabstractitemview.cpp:3382
#22 0x01081547 in CollectionTreeView::startDrag (this=0xa219a88, supportedActions=...) at /build/buildd/amarok-2.3.0/src/browsers/CollectionTreeView.cpp:541
#23 0x05276e5a in QAbstractItemView::mouseMoveEvent (this=0xa219a88, event=0xbff52e30) at itemviews/qabstractitemview.cpp:1691
#24 0x052ba894 in QTreeView::mouseMoveEvent (this=0xa219a88, event=0xbff52e30) at itemviews/qtreeview.cpp:1894
#25 0x0107867d in CollectionTreeView::mouseMoveEvent (this=0xa219a88, event=0xbff52e30) at /build/buildd/amarok-2.3.0/src/browsers/CollectionTreeView.cpp:368
#26 0x04d305ba in QWidget::event (this=0xa219a88, event=0xbff52e30) at kernel/qwidget.cpp:7983
#27 0x0512c733 in QFrame::event (this=0xa219a88, e=0xbff52e30) at widgets/qframe.cpp:557
#28 0x051c69b2 in QAbstractScrollArea::viewportEvent (this=0x98125c4, e=0x98125c4) at widgets/qabstractscrollarea.cpp:1036
#29 0x0527b327 in QAbstractItemView::viewportEvent (this=0xa219a88, event=0xbff52e30) at itemviews/qabstractitemview.cpp:1610
#30 0x052ba9fc in QTreeView::viewportEvent (this=0xa219a88, event=0xbff52e30) at itemviews/qtreeview.cpp:1248
#31 0x051c92a5 in QAbstractScrollAreaPrivate::viewportEvent (this=0x9f4e378, o=0xa219b30, e=0xbff52e30) at widgets/qabstractscrollarea_p.h:100
#32 QAbstractScrollAreaFilter::eventFilter (this=0x9f4e378, o=0xa219b30, e=0xbff52e30) at widgets/qabstractscrollarea_p.h:116
#33 0x009a1e8a in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x9805b40, receiver=0xa219b30, event=0xbff52e30) at kernel/qcoreapplication.cpp:819
#34 0x04cd23a9 in QApplicationPrivate::notify_helper (this=0x9805b40, receiver=0xa219b30, e=0xbff52e30) at kernel/qapplication.cpp:4296
#35 0x04cd99b7 in QApplication::notify (this=0xbff536d8, receiver=0xa219b30, e=0xbff52e30) at kernel/qapplication.cpp:3865
#36 0x014a2196 in App::notify (this=0xbff536d8, receiver=0xa219b30, event=0xbff52e30) at /build/buildd/amarok-2.3.0/src/App.cpp:928
#37 0x009a2beb in QCoreApplication::notifyInternal (this=0xbff536d8, receiver=0xa219b30, event=0xbff52e30) at kernel/qcoreapplication.cpp:704
#38 0x04cd890f in QCoreApplication::sendEvent (receiver=0xa219b30, event=0xbff52e30, alienWidget=0xa219b30, nativeWidget=0x9f1ec58, buttonDown=0x5615058, lastMouseReceiver=..., spontaneous=true)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#39 QApplicationPrivate::sendMouseEvent (receiver=0xa219b30, event=0xbff52e30, alienWidget=0xa219b30, nativeWidget=0x9f1ec58, buttonDown=0x5615058, lastMouseReceiver=..., spontaneous=true)
    at kernel/qapplication.cpp:2965
#40 0x04d63cc8 in QETWidget::translateMouseEvent (this=0x9f1ec58, event=0xbff5334c) at kernel/qapplication_x11.cpp:4368
#41 0x04d631a1 in QApplication::x11ProcessEvent (this=0xbff536d8, event=0xbff5334c) at kernel/qapplication_x11.cpp:3379
#42 0x04d9200a in x11EventSourceDispatch (s=0x980da10, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#43 0x05802e88 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#44 0x05806730 in ?? () from /lib/libglib-2.0.so.0
#45 0x05806863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#46 0x009ce805 in QEventDispatcherGlib::processEvents (this=0x9726538, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#47 0x04d91b35 in QGuiEventDispatcherGlib::processEvents (this=0x9726538, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#48 0x009a1209 in QEventLoop::processEvents (this=0xbff53644, flags=) at kernel/qeventloop.cpp:149
#49 0x009a165a in QEventLoop::exec (this=0xbff53644, flags=...) at kernel/qeventloop.cpp:201
#50 0x009a584f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#51 0x04cd2467 in QApplication::exec () at kernel/qapplication.cpp:3579
#52 0x0804ffd9 in main (argc=1, argv=0xbff53f54) at /build/buildd/amarok-2.3.0/src/main.cpp:237

Reported using DrKonqi
Comment 1 Sven Krohlas 2010-03-18 00:44:36 UTC
I'm unable to reproduce. Does this happen with all genres or just a specific one?
Comment 2 Marcus Harrison 2010-03-18 11:06:10 UTC
It seems to happen most consistently on the, "Classical" genre - I expect it's something to do with the huge number of items there.
Comment 3 Sven Krohlas 2010-03-18 11:30:42 UTC
Ok, I can reproduce it with the classic genre. The crash does not always happen, just sometimes...

Next question: is it the number of items or maybe a specific item in there? Do you have a Magnatune membership? I was only able to reproduce on a machine with set up membership info.

This is the backtrace from altest git master, looks a bit different than yours, might be due to code changes since 2.3.0:

Thread 5 (Thread 0xa7ea9b70 (LWP 8386)):
[KCrash Handler]
#6  0xb6e42704 in ServiceSqlQueryMaker::handleResult (this=0xa2f6ba0, result=...) at /home/sven/git/krohlass-clone/src/services/ServiceSqlQueryMaker.cpp:578
#7  0xb6e4455a in ServiceSqlWorkerThread::run (this=0x9eb7fa8) at /home/sven/git/krohlass-clone/src/services/ServiceSqlQueryMaker.cpp:58
#8  0xb50ef558 in ThreadWeaver::JobRunHelper::runTheJob (this=0xa7ea923c, th=0xa9c00968, job=0x9eb7fa8) at /usr/src/debug/kdelibs-4.4.1/threadweaver/Weaver/Job.cpp:106
#9  0xb50ef6b3 in ThreadWeaver::Job::execute (this=0x9eb7fa8, th=0xa9c00968) at /usr/src/debug/kdelibs-4.4.1/threadweaver/Weaver/Job.cpp:135
#10 0xb50ebac2 in ThreadWeaver::ThreadRunHelper::run (this=0xa7ea92c4, parent=0x8c474b0, th=0xa9c00968) at /usr/src/debug/kdelibs-4.4.1/threadweaver/Weaver/Thread.cpp:95
#11 0xb50edc7a in ThreadWeaver::Thread::run (this=0xa9c00968) at /usr/src/debug/kdelibs-4.4.1/threadweaver/Weaver/Thread.cpp:142
#12 0xb66780bf in QThreadPrivate::start (arg=0xa9c00968) at thread/qthread_unix.cpp:248
#13 0xb56136e5 in start_thread () from /lib/libpthread.so.0
#14 0xb5613600 in ?? () from /lib/libpthread.so.0
Comment 4 Marcus Harrison 2010-03-19 08:55:31 UTC
No, I don't have Magnatune membership.

I expect it's got more to do with the number of items, than a particular item causing it. I'm using it on a netbook and experienced some serious slowdowns when dragging the Classical genre over before it crashed.
Comment 5 Myriam Schweingruber 2010-09-09 18:55:22 UTC
*** Bug 250684 has been marked as a duplicate of this bug. ***
Comment 6 Jorge Iván Andrés Contreras Pereira 2010-09-09 21:19:28 UTC
I come from the Bug 250684 [https://bugs.kde.org/show_bug.cgi?id=250684]. And I found the following message when I ran in debug mode, I think it has something to do with the database
Comment 7 nusch 2010-09-21 10:54:18 UTC
Created attachment 51847 [details]
New crash information added by DrKonqi

I can reproduce this error quite often when dragging whole magnatune genre to middle window(replace playlist). This happens more often if I do that quick after amarok start(while it's still loading some components)
Comment 8 Myriam Schweingruber 2010-09-21 13:33:26 UTC
Nusch, this report is about a version way ahead of yours. Also, your backtrace is not useful as you lack debugging symbols, see also http://techbase.kde.org/Development/Tutorials/Debugging/How_to_create_useful_crash_reports

Please test with Amarok 2.3.2 and paste the backtrace in-line so it is searchable
Comment 9 nusch 2010-09-21 15:21:06 UTC
Myriam, Look at first post by Marcus Harrison - he's reporting problem with amarok 2.3.0 and that the same version I'm reporting. Maybe you meant another report. Report was generated with auto tool DrKonqi which rate if report is useful(in this case 3/3 stars)and asks for launching aptitude if debugging symbols are not available. Thats also the reason it's been added as attachement. The only unresolved symbols are related to alsa, pulse and xine what has nothing to do GUI and Qt libraries.
Comment 10 Myriam Schweingruber 2010-09-21 15:49:02 UTC
The current version is in the bug header, and that is what matters. Please try again with the latest Amarok version, which is 2.3.2
I will file a bug for Dr. Konqi, it should not paste backtraces as attachements, it would really spare us triagers a lot of work.
Comment 11 Myriam Schweingruber 2010-09-21 16:02:27 UTC
Actually, the Dr. Konqi problem with attaching backtraces is already solved in the newer version, see comment #1 in bug 244522
You should upgrade your KDE version, see http://kubuntu.org/news for more informations.
Comment 12 Kevin Funk 2011-06-05 12:23:58 UTC
Original reproduce steps work for me. Please re-try and re-open if it crashes for you.
Comment 13 Myriam Schweingruber 2012-06-03 11:59:44 UTC
*** Bug 301014 has been marked as a duplicate of this bug. ***
Comment 14 Myriam Schweingruber 2012-06-03 12:00:29 UTC
Reopening based on new reports.
Comment 15 Myriam Schweingruber 2012-08-18 08:06:05 UTC
*** Bug 305345 has been marked as a duplicate of this bug. ***
Comment 16 Myriam Schweingruber 2012-08-18 08:06:57 UTC
*** Bug 305348 has been marked as a duplicate of this bug. ***
Comment 17 Myriam Schweingruber 2012-09-14 09:26:07 UTC
(In reply to comment #16)
> *** Bug 305348 has been marked as a duplicate of this bug. ***

Backtrace from that report:

Thread 2 (Thread 0x7facd19e2700 (LWP 5571)):
[KCrash Handler]
#6  same_key (key0=..., h0=145098177, this=0x100000005) at /usr/include/QtCore/qhash.h:225
#7  QHash<QString, KSharedPtr<Meta::Track> >::findNode (this=0x2012dc8, akey=..., ahp=0x7facd19e193c) at /usr/include/QtCore/qhash.h:887
#8  0x00007face216c989 in QHash<QString, KSharedPtr<Meta::Track> >::insert (this=0x2012dc8, akey=..., avalue=...) at /usr/include/QtCore/qhash.h:759
#9  0x00007face2166df1 in SqlRegistry::getTrack (this=0x2012db0, path=<optimized out>) at /usr/src/debug/amarok-2.6.0/src/core-impl/collections/db/sql/SqlRegistry.cpp:173
#10 0x00007face214a9cb in Collections::SqlCollection::trackForUrl (this=0x1ffc990, url=...) at /usr/src/debug/amarok-2.6.0/src/core-impl/collections/db/sql/SqlCollection.cpp:423
#11 0x00007fad00439681 in CollectionManager::trackForUrl (this=<optimized out>, url=...) at /usr/src/debug/amarok-2.6.0/src/core-impl/collections/support/CollectionManager.cpp:457
#12 0x00007fad003dd45c in MetaProxy::Worker::run (this=0x63c0130) at /usr/src/debug/amarok-2.6.0/src/core-impl/meta/proxy/MetaProxyWorker.cpp:32
#13 0x000000304cc0c9fb in ThreadWeaver::JobRunHelper::runTheJob (this=0x7facd19e1ca0, th=0x2572480, job=0x63c0130) at /usr/src/debug/kdelibs-4.8.4/threadweaver/Weaver/Job.cpp:106
#14 0x000000304cc0cb6c in ThreadWeaver::Job::execute (this=0x63c0130, th=0x2572480) at /usr/src/debug/kdelibs-4.8.4/threadweaver/Weaver/Job.cpp:135
#15 0x000000304cc0c1bf in ThreadWeaver::ThreadRunHelper::run (this=0x7facd19e1d20, parent=0x222e100, th=0x2572480) at /usr/src/debug/kdelibs-4.8.4/threadweaver/Weaver/Thread.cpp:95
#16 0x000000304cc0c27b in ThreadWeaver::Thread::run (this=0x2572480) at /usr/src/debug/kdelibs-4.8.4/threadweaver/Weaver/Thread.cpp:142
#17 0x000000303607bbcb in QThreadPrivate::start (arg=0x2572480) at thread/qthread_unix.cpp:307
#18 0x000000302bc07d90 in start_thread (arg=0x7facd19e2700) at pthread_create.c:309
#19 0x000000302b4f0f5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
Comment 18 Myriam Schweingruber 2012-09-14 13:43:59 UTC
*** Bug 306646 has been marked as a duplicate of this bug. ***
Comment 19 Myriam Schweingruber 2012-09-22 15:46:25 UTC
*** Bug 307184 has been marked as a duplicate of this bug. ***
Comment 20 Myriam Schweingruber 2012-09-27 21:28:10 UTC
*** Bug 307462 has been marked as a duplicate of this bug. ***
Comment 21 Matěj Laitl 2012-10-02 20:41:30 UTC
Git commit 897294f3c65834e555a6c28d5b36f65aad2ec54c by Matěj Laitl.
Committed on 02/10/2012 at 22:20.
Pushed by laitl into branch 'master'.

Fix thread safety of SqlRegistry

Most notably the SqlRegistry::getTrack( const KUrl &url ) lacked the
locking, which was a source of data race conditions. I also added
locking to another method that was lacking it and cleaned up a bit
QMutexLocker usage.
FIXED-IN: 2.7

M  +1    -0    ChangeLog
M  +18   -16   src/core-impl/collections/db/sql/SqlRegistry.cpp
M  +7    -7    src/core-impl/collections/db/sql/SqlRegistry.h

http://commits.kde.org/amarok/897294f3c65834e555a6c28d5b36f65aad2ec54c
Comment 22 Myriam Schweingruber 2012-10-19 18:31:10 UTC
*** Bug 308667 has been marked as a duplicate of this bug. ***
Comment 23 Myriam Schweingruber 2012-10-24 11:47:00 UTC
*** Bug 308828 has been marked as a duplicate of this bug. ***
Comment 24 Myriam Schweingruber 2012-10-25 11:58:05 UTC
*** Bug 308979 has been marked as a duplicate of this bug. ***
Comment 25 Myriam Schweingruber 2012-11-21 11:41:14 UTC
*** Bug 310439 has been marked as a duplicate of this bug. ***
Comment 26 Myriam Schweingruber 2012-12-01 08:44:28 UTC
*** Bug 310934 has been marked as a duplicate of this bug. ***
Comment 27 Myriam Schweingruber 2012-12-07 18:56:52 UTC
*** Bug 311289 has been marked as a duplicate of this bug. ***
Comment 28 Dave Jeffery 2012-12-07 19:10:54 UTC
This bug is marked as resolved fixed. Yet it happened to me today with the freshly updated Fedora 18 Beta.

I'm sorry, but I'm a little puzzled as to what's going on.
Comment 29 Myriam Schweingruber 2012-12-07 19:13:09 UTC
(In reply to comment #28)
> This bug is marked as resolved fixed. Yet it happened to me today with the
> freshly updated Fedora 18 Beta.
> 
> I'm sorry, but I'm a little puzzled as to what's going on.
See the version number for the fix: 2.7
You still use 2.6 AFAIK, 2.7 is not released yet.
Comment 30 Dave Jeffery 2012-12-07 19:14:36 UTC
Ah, that makes sense now - I'm sorry I'm so stupid! Many thanks for your help.
Comment 31 Myriam Schweingruber 2012-12-24 11:29:02 UTC
*** Bug 312147 has been marked as a duplicate of this bug. ***
Comment 32 Myriam Schweingruber 2012-12-27 09:45:09 UTC
*** Bug 312241 has been marked as a duplicate of this bug. ***
Comment 33 Myriam Schweingruber 2013-01-11 11:31:50 UTC
*** Bug 313064 has been marked as a duplicate of this bug. ***
Comment 34 Myriam Schweingruber 2013-01-13 12:18:40 UTC
*** Bug 313169 has been marked as a duplicate of this bug. ***
Comment 35 Myriam Schweingruber 2013-01-31 09:17:52 UTC
*** Bug 314163 has been marked as a duplicate of this bug. ***
Comment 36 Myriam Schweingruber 2013-02-03 18:27:03 UTC
*** Bug 314364 has been marked as a duplicate of this bug. ***
Comment 37 Myriam Schweingruber 2013-02-16 14:26:03 UTC
*** Bug 315270 has been marked as a duplicate of this bug. ***
Comment 38 Myriam Schweingruber 2013-07-21 23:54:54 UTC
*** Bug 320913 has been marked as a duplicate of this bug. ***